summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2018-12-24 08:58:11 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-12-24 08:59:33 +0700
commit1fecb5b64f6aaac3f09d6b44dc095b7bb87bb6ae (patch)
treeb7dc6cce965dc0b70538c852014867e63eb48699 /academic
parentf240a7ca4787e19e85697056ba9cafd1af852d17 (diff)
downloadslackbuilds-1fecb5b64f6aaac3f09d6b44dc095b7bb87bb6ae.tar.gz
slackbuilds-1fecb5b64f6aaac3f09d6b44dc095b7bb87bb6ae.tar.xz
academic/bowtie2-legacy: Added (aligning sequencing reads).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/bowtie2-legacy/README18
-rw-r--r--academic/bowtie2-legacy/References3
-rw-r--r--academic/bowtie2-legacy/bowtie2-legacy.SlackBuild110
-rw-r--r--academic/bowtie2-legacy/bowtie2-legacy.info10
-rw-r--r--academic/bowtie2-legacy/slack-desc19
5 files changed, 160 insertions, 0 deletions
diff --git a/academic/bowtie2-legacy/README b/academic/bowtie2-legacy/README
new file mode 100644
index 0000000000..6cdaa72662
--- /dev/null
+++ b/academic/bowtie2-legacy/README
@@ -0,0 +1,18 @@
+Bowtie 2 is an ultrafast and memory-efficient tool for aligning
+sequencing reads to long reference sequences. It is particularly good
+at aligning reads of about 50 up to 100s or 1,000s of characters, and
+particularly good at aligning to relatively long (e.g. mammalian)
+genomes. Bowtie 2 indexes the genome with an FM Index to keep its
+memory footprint small: for the human genome, its memory footprint is
+typically around 3.2 GB. Bowtie 2 supports gapped, local, and paired-
+end alignment modes.
+
+NOTE!
+This is an older version of the program, kept here for compatibility
+with Ugene. You can safely install it along the new one. When you start
+Ugene, go to Settings > Preferences > External Tools and manually select
+the legacy binaries in /usr/bin/
+
+Please cite:
+Langmead B, Salzberg S. Fast gapped-read alignment with Bowtie 2.
+Nature Methods. 2012, 9:357-359.
diff --git a/academic/bowtie2-legacy/References b/academic/bowtie2-legacy/References
new file mode 100644
index 0000000000..6e3a6e99d0
--- /dev/null
+++ b/academic/bowtie2-legacy/References
@@ -0,0 +1,3 @@
+Please cite:
+Langmead B, Salzberg S. Fast gapped-read alignment with Bowtie 2.
+Nature Methods. 2012, 9:357-359.
diff --git a/academic/bowtie2-legacy/bowtie2-legacy.SlackBuild b/academic/bowtie2-legacy/bowtie2-legacy.SlackBuild
new file mode 100644
index 0000000000..db90b9ad1c
--- /dev/null
+++ b/academic/bowtie2-legacy/bowtie2-legacy.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for bowtie2-legacy
+
+# Copyright 2013-2018 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCNAM=bowtie2
+SUFFIX=legacy
+PRGNAM=$SRCNAM-$SUFFIX
+VERSION=${VERSION:-2.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+unzip $CWD/$SRCNAM-$VERSION-source.zip
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+# Use our FLAGS
+sed -i "/RELEASE_FLAGS/s/=/+=/" Makefile
+
+RELEASE_FLAGS="$SLKCFLAGS" \
+make
+
+install -D -m755 $SRCNAM $PKG/usr/bin/$PRGNAM
+install -D -m755 $SRCNAM-align $PKG/usr/bin/$PRGNAM-align
+install -D -m755 $SRCNAM-build $PKG/usr/bin/$PRGNAM-build
+install -D -m755 $SRCNAM-inspect $PKG/usr/bin/$PRGNAM-inspect
+
+# Copy examples and scripts
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a \
+ example scripts \
+ $PKG/usr/share/$PRGNAM
+
+# Let's compress the reads and indexes
+gzip $PKG/usr/share/$PRGNAM/example/reads/*.fq
+gzip $PKG/usr/share/$PRGNAM/example/index/*.bt2
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE MANUAL NEWS TUTORIAL VERSION doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/bowtie2-legacy/bowtie2-legacy.info b/academic/bowtie2-legacy/bowtie2-legacy.info
new file mode 100644
index 0000000000..6e8d5c4f1a
--- /dev/null
+++ b/academic/bowtie2-legacy/bowtie2-legacy.info
@@ -0,0 +1,10 @@
+PRGNAM="bowtie2-legacy"
+VERSION="2.1.0"
+HOMEPAGE="http://bowtie-bio.sourceforge.net/bowtie2/index.shtml"
+DOWNLOAD="http://sourceforge.net/projects/bowtie-bio/files/bowtie2/2.1.0/bowtie2-2.1.0-source.zip"
+MD5SUM="1d10f079d6dd560320f0309bd70f6080"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/bowtie2-legacy/slack-desc b/academic/bowtie2-legacy/slack-desc
new file mode 100644
index 0000000000..4270e5bcd8
--- /dev/null
+++ b/academic/bowtie2-legacy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bowtie2-legacy: bowtie2-legacy (A tool for aligning sequencing reads)
+bowtie2-legacy:
+bowtie2-legacy: Bowtie 2 is an ultrafast and memory-efficient tool for aligning
+bowtie2-legacy: sequencing reads to long reference sequences. It is particularly
+bowtie2-legacy: good at aligning reads of about 50 up to 100s or 1,000s of
+bowtie2-legacy: characters, and particularly good at aligning to relatively long
+bowtie2-legacy: (e.g. mammalian) genomes.
+bowtie2-legacy:
+bowtie2-legacy: Home: http://bowtie-bio.sourceforge.net/bowtie2/index.shtml
+bowtie2-legacy: References: /usr/doc/bowtie2-2.1.0/References
+bowtie2-legacy: